'use strict';

/**
 * @ngdoc overview
 * @name <%= appName %>
 * @description
 * # <%= appName %>
 *
 * Main module of the application.
 */
angular
  .module('<%= appName %>', [
    'ngRoute',
    'ngSanitize',
    'ngTouch',
    'LocalStorageModule',
    'infinite-scroll',
    'angular-loading-bar'
  ])
  .config(function ($routeProvider, $httpProvider, $logProvider) {

    // Modify Headers
    $httpProvider.defaults.withCredentials = true;

    // Log Flag
    $logProvider.debugEnabled(true);

    // Route Config
    $routeProvider
      .when('/login', {
        templateUrl: 'views/login.html',
        controller: 'LoginCtrl',
        controllerAs: 'vm'
      })
      .when('/home', {
        templateUrl: 'views/home.html',
        controller: 'HomeCtrl',
        controllerAs: 'vm'
      })
      .otherwise({
        redirectTo: '/home'
      });

  });
